package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 应用和账户关联表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-05-13
 */
@Data
@TableName("ctop_kuaishou_app_package_rel")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_app_package_rel对象", description = "应用和账户关联表")
public class KuaishouAppPackageRel {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 应用模板ID
     */
    @Excel(name = "应用模板ID", width = 15)
    @ApiModelProperty(value = "应用模板ID")
    private Long apptemId;
    /**
     * 项目ID
     */
    @Excel(name = "项目ID", width = 15)
    @ApiModelProperty(value = "项目ID")
    private Long projectId;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long appId;
    /**
     * 快手方-应用地址
     */
    @Excel(name = "快手方-应用地址", width = 15)
    @ApiModelProperty(value = "快手方-应用地址")
    private String returnUrl;

    /**
     * 第三方开始播放监测链接
     */
    private String impressionUrl;
    /**
     * 第三方有效播放监测链接
     */
    private String adPhotoPlayedT3sUrl;
    /**
     * 第三方点击按钮监测链接
     */
    private String actionbarClickUrl;

    private Integer dataStatus;

    private String appVersion;

    private String imageToken;
    /**
     * 返回信息
     */
    @Excel(name = "返回信息", width = 15)
    @ApiModelProperty(value = "返回信息")
    private String message;
    /**
     * 更新时间
     */
    @Excel(name = "更新时间", width = 15)
    @ApiModelProperty(value = "更新时间")
    private String returnUpdateTime;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
