package cn.com.ctop.kuaishou.modules.dimension.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 多维度测试组列表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-07-22
 */
@Data
@TableName("ctop_kuaishou_dimension_unit")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_dimension_unit对象", description = " 多维度测试组列表")
public class KuaiShouDimensionUnit {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 账户id
     */
    @Excel(name = "账户id", width = 15)
    @ApiModelProperty(value = "账户id")
    private Long accountId;
    private Long strategyId;
    /**
     * 计划id
     */
    @Excel(name = "计划id", width = 15)
    @ApiModelProperty(value = "计划id")
    private Long campaignId;
    /**
     * 组id
     */
    @Excel(name = "组id", width = 15)
    @ApiModelProperty(value = "组id")
    private Long unitId;
    /**
     * 组名称
     */
    @Excel(name = "组名称", width = 15)
    @ApiModelProperty(value = "组名称")
    private String unitName;
    /**
     * 组预算
     */
    @Excel(name = "组预算", width = 15)
    @ApiModelProperty(value = "组预算")
    private Long unitDayBudget;
    /**
     * 优先从系统应用商店下载
     */
    @Excel(name = "优先从系统应用商店下载", width = 15)
    @ApiModelProperty(value = "优先从系统应用商店下载")
    private Integer useAppMarket;
    /**
     * 应用商店列表
     */
    @Excel(name = "应用商店列表", width = 15)
    @ApiModelProperty(value = "应用商店列表")
    private String appStore;
    /**
     * 应用id
     */
    @Excel(name = "应用id", width = 15)
    @ApiModelProperty(value = "应用id")
    private Long appId;
    /**
     * 吊起链接
     */
    @Excel(name = "吊起链接", width = 15)
    @ApiModelProperty(value = "吊起链接")
    private String schemaUri;
    /**
     * 创意展现方式	1 - 轮播；2 - 优选
     */
    @Excel(name = "创意展现方式	1 - 轮播；2 - 优选", width = 15)
    @ApiModelProperty(value = "创意展现方式	1 - 轮播；2 - 优选")
    private Integer showMode;
    /**
     * 投放方式	1 - 加速投放；2 - 平滑投放；3-优先低成本（投放时间范围只可为全天；预算不可为不限或空
     */
    @Excel(name = "投放方式	1 - 加速投放；2 - 平滑投放；3-优先低成本（投放时间范围只可为全天；预算不可为不限或空", width = 15)
    @ApiModelProperty(value = "投放方式	1 - 加速投放；2 - 平滑投放；3-优先低成本（投放时间范围只可为全天；预算不可为不限或空")
    private Integer speed;
    /**
     * 人群包定向
     */
    @Excel(name = "人群包定向", width = 15)
    @ApiModelProperty(value = "人群包定向")
    private String population;
    /**
     * 人群包排除
     */
    @Excel(name = "人群包排除", width = 15)
    @ApiModelProperty(value = "人群包排除")
    private String excludePopulation;
    /**
     * 付费人群包
     */
    @Excel(name = "付费人群包", width = 15)
    @ApiModelProperty(value = "付费人群包")
    private String paidAudience;
    /**
     * 网络环境 1：Wi-Fi，2：移动网络，0：表示不限
     */
    @Excel(name = "网络环境 1：Wi-Fi，2：移动网络，0：表示不限", width = 15)
    @ApiModelProperty(value = "网络环境 1：Wi-Fi，2：移动网络，0：表示不限")
    private Integer network;
    /**
     * 网红粉丝
     */
    @Excel(name = "网红粉丝", width = 15)
    @ApiModelProperty(value = "网红粉丝")
    private String fansStar;
    /**
     * 过滤已转化人群纬度 0(默认)：不限；1：广告组2：广告计划；3：本账户；4：公司主体；5：APP
     */
    @Excel(name = "过滤已转化人群纬度 0(默认)：不限；1：广告组2：广告计划；3：本账户；4：公司主体；5：APP", width = 15)
    @ApiModelProperty(value = "过滤已转化人群纬度 0(默认)：不限；1：广告组2：广告计划；3：本账户；4：公司主体；5：APP")
    private Integer filterConvertedLevel;
    /**
     * 设备品牌 1：OPPO，2：VIVO，3：华为，4：小米，5：荣耀，6：三星，7：金立，8：魅族，9：乐视10：其他，11：苹果
     */
    @Excel(name = "设备品牌 1：OPPO，2：VIVO，3：华为，4：小米，5：荣耀，6：三星，7：金立，8：魅族，9：乐视10：其他，11：苹果", width = 15)
    @ApiModelProperty(value = "设备品牌 1：OPPO，2：VIVO，3：华为，4：小米，5：荣耀，6：三星，7：金立，8：魅族，9：乐视10：其他，11：苹果")
    private String deviceBrand;
    /**
     * 设备价格 1：1500元以下，2：1501~2000，3：2001~2500，4：2501~3000，5：3001~3500，6：3501~4000，7：4001~4500，8：4501~5000，9： 5001~5500，10：5500元以上
     */
    @Excel(name = "设备价格 1：1500元以下，2：1501~2000，3：2001~2500，4：2501~3000，5：3001~3500，6：3501~4000，7：4001~4500，8：4501~5000，9： 5001~5500，10：5500元以上", width = 15)
    @ApiModelProperty(value = "设备价格 1：1500元以下，2：1501~2000，3：2001~2500，4：2501~3000，5：3001~3500，6：3501~4000，7：4001~4500，8：4501~5000，9： 5001~5500，10：5500元以上")
    private String devicePrice;
    /**
     * 优化目标出价类型  1: CPM 2: CPC 10:OCPM
     */
    @Excel(name = "优化目标出价类型  1: CPM 2: CPC 10:OCPM", width = 15)
    @ApiModelProperty(value = "优化目标出价类型  1: CPM 2: CPC 10:OCPM")
    private Integer bidType;
    /**
     * 创意制作方式 4: 自定义；5：程序化创意 7：程序化创意2.0
     */
    @Excel(name = "创意制作方式 4: 自定义；5：程序化创意 7：程序化创意2.0", width = 15)
    @ApiModelProperty(value = "创意制作方式 4: 自定义；5：程序化创意 7：程序化创意2.0")
    private Integer unitType;
    /**
     * 转化目标
     */
    @Excel(name = "转化目标", width = 15)
    @ApiModelProperty(value = "转化目标")
    private Integer ocpxActionType;
    /**
     * 深度转化目标
     */
    @Excel(name = "深度转化目标", width = 15)
    @ApiModelProperty(value = "深度转化目标")
    private Integer deepConversionType;
    /**
     * 出价
     */
    @Excel(name = "出价", width = 15)
    @ApiModelProperty(value = "出价")
    private Long bid;
    /**
     * ocpm出价
     */
    @Excel(name = "ocpm出价", width = 15)
    @ApiModelProperty(value = "ocpm出价")
    private Long cpaBid;
    /**
     * 深度转化目标出价
     */
    @Excel(name = "深度转化目标出价", width = 15)
    @ApiModelProperty(value = "深度转化目标出价")
    private Long deepConversionBid;
    /**
     * 资源位置
     */
    @Excel(name = "资源位置", width = 15)
    @ApiModelProperty(value = "资源位置")
    private String sceneId;
    /**
     * 变量 地域
     */
    @Excel(name = "变量 地域", width = 15)
    @ApiModelProperty(value = "变量 地域")
    private String region;
    private String regionGroupName;
    /**
     * 变量 年龄 【18：表示18-23岁】；【24：表示24-30岁】；【31：表示31-40岁】；【41：表示41-49岁】；【50：表示50-100岁】
     */
    @Excel(name = "变量 年龄 【18：表示18-23岁】；【24：表示24-30岁】；【31：表示31-40岁】；【41：表示41-49岁】；【50：表示50-100岁】", width = 15)
    @ApiModelProperty(value = "变量 年龄 【18：表示18-23岁】；【24：表示24-30岁】；【31：表示31-40岁】；【41：表示41-49岁】；【50：表示50-100岁】")
    private String agesRange;
    private String ageGroupName;
    /**
     * 变量 性别 1：女性, 2：男性，0表示不限
     */
    @Excel(name = "变量 性别 1：女性, 2：男性，0表示不限", width = 15)
    @ApiModelProperty(value = "变量 性别 1：女性, 2：男性，0表示不限")
    private Integer gender;
    /**
     * 变量 行为意向-系统优选	 1：女性, 2：男性，0表示不限
     */
    @Excel(name = "变量 行为意向-系统优选	 1：女性, 2：男性，0表示不限", width = 15)
    @ApiModelProperty(value = "变量 行为意向-系统优选	 1：女性, 2：男性，0表示不限")
    private Boolean intentionTarget;
    /**
     * 变量 APP行为-按APP名称
     */
    @Excel(name = "变量 APP行为-按APP名称", width = 15)
    @ApiModelProperty(value = "变量 APP行为-按APP名称")
    private String appIds;
    /**
     * 变量 投放时段
     */
    @Excel(name = "变量 投放时段", width = 15)
    @ApiModelProperty(value = "变量 投放时段")
    private String scheduleTime;
    /**
     * 0：关闭智能扩量，1：打开智能扩量
     */
    @Excel(name = "0：关闭智能扩量，1：打开智能扩量", width = 15)
    @ApiModelProperty(value = "0：关闭智能扩量，1：打开智能扩量")
    private Integer isOpen;
    /**
     * 0：可突破/无需控制，1：不可突破
     */
    @Excel(name = "0：可突破/无需控制，1：不可突破", width = 15)
    @ApiModelProperty(value = "0：可突破/无需控制，1：不可突破")
    private Integer noAgeBreak;
    /**
     * 0：可突破/无需控制，1：不可突破
     */
    @Excel(name = "0：可突破/无需控制，1：不可突破", width = 15)
    @ApiModelProperty(value = "0：可突破/无需控制，1：不可突破")
    private Integer noGenderBreak;
    /**
     * 0：可突破/无需控制，1：不可突破
     */
    @Excel(name = "0：可突破/无需控制，1：不可突破", width = 15)
    @ApiModelProperty(value = "0：可突破/无需控制，1：不可突破")
    private Integer noAreaBreak;
    /**
     * 状态 0 未提交 1 已提交 2 创建成功 3 创建失败 4 待重新创建
     */
    @Excel(name = "状态 0 未提交 1 已提交 2 创建成功 3 创建失败 4 待重新创建", width = 15)
    @ApiModelProperty(value = "状态 0 未提交 1 已提交 2 创建成功 3 创建失败 4 待重新创建")
    private Integer submitStatus;
    private String createDescribe;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
