package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("ctop_kuaishou_report_hourly_group")
public class KuaishouReportHourlyGroup implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId
    private String id;
    private Long accountId;

    private Long campaignId;
    private String campaignName;

    @JsonProperty("unit_id")
    private Long unitId;
    private String unitName;
    private Integer status;

    @JsonProperty("stat_date")
    private String statDate;
    @JsonProperty("stat_hour")
    private Integer statHour;
    @JsonProperty
    private BigDecimal charge;
    @JsonProperty
    private Long photoShow;
    @JsonProperty("photo_click")
    @TableField("photo_click")
    private Long photoClick;
    @JsonProperty
    private Long aclick;
    @JsonProperty
    private Long bclick;
    @JsonProperty
    private Long share;
    @JsonProperty
    private Long comment;
    @JsonProperty
    private Long photoLike;
    @JsonProperty
    private Long follow;
    @JsonProperty("cancel_follow")
    private Long cancelFollow;
    @JsonProperty
    private Long report;
    @JsonProperty
    private Long block;
    @JsonProperty
    private Long negative;
    @JsonProperty("download_started")
    private Long downloadStarted;
    @JsonProperty("download_completed")
    private Long downloadCompleted;
    @JsonProperty
    private Long activation;
    @JsonProperty
    private Long submit;

    @JsonProperty
    private BigDecimal photoClickRatio;
    @JsonProperty
    private BigDecimal actionRatio;
    @JsonProperty("impression_1k_cost")
    @TableField("impression_1k_cost")
    private BigDecimal impression1kCost;
    @JsonProperty
    private BigDecimal photoClickCost;
    @JsonProperty
    private BigDecimal actionCost;
    @JsonProperty
    private Long eventPayFirstDay;
    @JsonProperty
    private BigDecimal eventPayFirstDayRoi;
    @JsonProperty
    private BigDecimal eventPay;
    @JsonProperty
    private BigDecimal eventPayPurchaseAmount;
    @JsonProperty
    private BigDecimal eventPayRoi;
    @JsonProperty
    private Long eventRegister;
    @JsonProperty
    private BigDecimal eventRegisterCost;
    @JsonProperty
    private Long eventJinJianApp;
    @JsonProperty
    private BigDecimal eventJinJianAppCost;
    @JsonProperty
    private BigDecimal eventPayPurchaseAmountFirstDay;
    @JsonProperty
    private Long eventCreditGrantApp;
    @JsonProperty
    private BigDecimal eventCreditGrantAppCost;
    @JsonProperty
    private BigDecimal eventCreditGrantAppRatio;
    @JsonProperty
    private BigDecimal eventOrderPaid;
    @JsonProperty
    private BigDecimal eventOrderPaidPurchaseAmount;
    @JsonProperty
    private BigDecimal eventOrderPaidCost;
    @JsonProperty
    private Long formCount;
    @JsonProperty
    private BigDecimal formCost;
    @JsonProperty
    private BigDecimal formActionRatio;
    @JsonProperty
    private Long eventJinJianLandingPage;
    @JsonProperty
    private BigDecimal eventJinJianLandingPageCost;
    @JsonProperty
    private Long eventCreditGrantLandingPage;
    @JsonProperty
    private BigDecimal eventCreditGrantLandingPageCost;
    @JsonProperty
    private Date createTime;
    @JsonProperty
    private Date updateTime;

    @JsonProperty
    private Long eventAppInvoked;

    @JsonProperty
    private Long keyAction;

    @JsonProperty
    private Integer totalCount;


    @JsonProperty
    private Integer putStatus; //1：投放中；2：暂停 3：删除

    //出价
    private Long bid;
    private Long cpaBid;
    //出价类型 1：CPM，2：CPC，6：OCPC(使用 OCPC 代表 OCPX)，10：OCPM，20：eCPC
    private Integer bidType;
    //转化类型
    private Integer converType;
    //转化数
    private Integer converNum;
    //转化成本
    private Double converCost;
    //激活成本
    private String activationCost;
    //操作建议
    private String operationAgree;
    private String operationAgreeContent;
    private String operationAgreeInfo;

}
